%define pkg_name        Image-LibRSVG
%define pkg_version     0.07
%define rpm_pkg_version 0.07
%define rpm_pkg_release 1.n0i.1

Summary:       Perl extension for librsvg2
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       GPL+ or Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/modules/by-module/Image/%{pkg_name}-%{pkg_version}.tar.gz

BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: reb00t-rpmdevtools
BuildRequires: librsvg2-devel
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)


%description
This module provides an Perl-Interface towards the gnome-lib librsvg-2 which
is able to convert SVG into bitmap formats like PNG, JPG, etc.
To which formats you can convert the svg-files depends on your gdk-pixbuf
configuration. Still at least PNG and JPG should be available.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}
%{fix_mod}
%{fix_perl_path examples.pl}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%exclude %{perl_vendorarch}/Image/examples.pl
%doc Changes examples.pl README


%changelog
* Mon Sep 24 2007 Marius Feraru <altblue@n0i.net> - 0.07-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer/1.14.11
- version 0.07
